Skip to content

Remove a competition image

DELETE/v1/competitions/{competitionId}/images/{imageTemplateId}

DELETE
/v1/competitions/{competitionId}/images/{imageTemplateId}
curl --request DELETE \
--url https://api.ligr.live/rest/v1/competitions/1/images/1 \
--header 'Authorization: Bearer <token>'

Removes the competition’s image for one template. Live overlays stop showing it.

competitionId
required

Entity identifier

integer format: int32
>= 1

The competition id

imageTemplateId
required

Entity identifier

integer format: int32
>= 1

The id of a competition image template

Ok

Media typeapplication/json

The image of one player, team or competition for one image template.

object
imageTemplateId
required

Entity identifier

integer format: int32
>= 1
templateName
required
string
width
required

Pixel width the image must have.

number format: double
height
required

Pixel height the image must have.

number format: double
url
required

URL of the entity’s image for the template. Null: the entity has no image for the template.

string
nullable
defaultImageUrl
required

URL of the template’s default image. Null: the template has no default image.

string
nullable
Examplegenerated
{
"imageTemplateId": 1,
"templateName": "example",
"width": 1,
"height": 1,
"url": "example",
"defaultImageUrl": "example"
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Competition or image template not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Organization has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}